#include "icon.h"
#include "yakpal.h"
#include "xlib.h"
#include <stdlib.h>
#include <string.h>

void main (int argCount, char **argVector)
{
  if (argCount < 2)
  {
    cout << "pcxsplit -- .pcx to .yak and .ypl converter\n";
    cout << "1993 by Vic Putz\n";
    cout << "usage : pcxsplit spam.pcx\n";
    exit(0);
  }
  yakPalette myYakPalette;
  icon myIcon;
  myIcon.loadPCX(argVector[1]);
  if (!myIcon.unrolledPic)
  {
    cout << "File not found or other error.\n";
    exit(0);
  }
  myYakPalette.loadPCX(argVector[1]);
  char newFileName[80];
  strcpy(newFileName, argVector[1]);
  strcpy(&newFileName[(strlen(newFileName) - 3)], "yak");
  myIcon.save(newFileName);
  strcpy(&newFileName[(strlen(newFileName) - 3)], "ypl");
  myYakPalette.save(newFileName);
}